欢迎来到飞鸟慕鱼博客,开始您的技术之旅!
当前位置: 首页知识笔记正文

mysql 版本问题

终极管理员 知识笔记 204阅读

mysql5.7.28版本为什么会报错?

答:mysql5.7.28版本即使改了驱动名为com.mysql.cj.jdbc.Driver也还是会报错,原因在于没有将pom项目对象模型文件中版本改成 由于我的是mysql5.7.28 使用connector-java version 5.1的版本,还是会出现上面的报错。

官方版本的mysql是什么版本?

答:官方版本的MySQL 目前官网最新的GA版就是MySQL 8.0.20,这个版本可能是MySQL数据库又一个]时代的开始,迄今为止,MySQL 8.0无论在功能还是性能(整体上),都是目前最好的MySQL版本,但是为了支持大量的新功能特性,这个版本调整的太大了,稳定性、可靠性还需要一定周期才能保证。 8.0的最新特性这里不再列出,感兴趣的可以找找。

mysql5为什么会报错?

答:报错原因: MySQL5用的驱动url是com.mysql.jdbc.Driver,MySQL6以后用的是com.mysql.cj.jdbc.Driver。 版本不匹配便会报驱动类已过时的错误。 解决方法: 更改配置文件中的驱动类名字就可以消除驱动类过时的警告了。 mysql5.7.28版本即使改了驱动名为com.mysql.cj.jdbc.Driver也还是会报错,原因在于没有将pom项目对象模型文件中版本改成

目前最稳定的mysql版本是什么?

答:目前官网最新的GA版就是MySQL 8.0.20,这个版本可能是MySQL数据库又一个]时代的开始,迄今为止,MySQL 8.0无论在功能还是性能(整体上),都是目前最好的MySQL版本,但是为了支持大量的新功能特性,这个版本调整的太大了,稳定性、可靠性还需要一定周期才能保证。 8.0的最新特性这里不再列出,感兴趣的可以找找。 目前使用官方版求稳定仍然建议5.7系列,如果想尝鲜直接上车8.0. 另外从长期来看,官方版本的MySQL,目前在Oracle公司里有实力雄厚的开发团队支持,产品迭代速度稳定,基本是每三个月发布一个小版本,另外依赖早期Oracle数据库优秀的产品、开发经验,官方MySQL前景看好。 https://www. 2 . Percona Server

声明:无特别说明,转载请标明本文来源!